Installing .NET Framework 3.5 language packages with the core


Installing ENU/Core .NET Framework 3.5 on non-ENU Operating System: 


You can install .NET Framework 3.5 on a non-English machine by providing the following command line:


dotnetfx35.exe /LANG:ENU


Installing .NET Framework 3.5 with a single Language package matching the OS:


To install .NET Framework 3.5 with a corresponding Language package, then you will need ot do the following:


1)      Download 3.5 web or full redist


a.       If full redist then you will need to extract it using the following command


                                                               i.      “dotnetfx35.exe /x:<path>”


b.      If web bootstrapper then you will need to create the following directory, at the same directory level as where you downloaded the web bootstrapper


                                                               i.      X86


1.       wcu\dotNetFramework\dotNetFX35\x86


                                                             ii.      x64


1.       wcu\dotNetFramework\dotNetFX35\x64


                                                            iii.      ia64


1.       wcu\dotNetFramework\dotNetFX35\ia64


2)      Download and copy the language package into the appropriate dotnetFX35 directory


a.       i.e. if x86 then you would copy the language package into:


                                                               i.      wcu\dotNetFramework\dotNetFX35\x86


3)      Execute the Web or full redist package.  The download manager will automatically determine which OS language that you have and install the matching language package with the OS language.


Installing .NET Framework 3.5 with a single language package,which does not match the OS language:


        Follow the steps above only for step 3, use the /LANG:<lang> switch from the command line.


Installing .NET Framework 3.5 with multiple Language packages


The general guidance is to install the core .NET Framework with the /LANG:ENU switch and then install the desired language packages.


Comments (3)

  1. Anonymous says:

    A little while ago, I posted this item on my blog that describes a potential issue when installing the

  2. Anonymous says:

    A little while ago, I posted this item on my blog that describes a potential issue when installing the